{% extends "base.html" %}

{% load getconfig i18n django_tables2 %}

{% block content %}
    <div class="card bg-body shadow">
        <div class="card-header text-center">
            <h4>{{ tournament.name }}</h4>
        </div>
        <div class="card-body">
            <dl class="row">
                <dt class="col-sm-6 text-sm-end">{% trans 'organizers'|capfirst %}</dt>
                <dd class="col-sm-6">{{ tournament.organizers.all|join:", " }}</dd>

                <dt class="col-sm-6 text-sm-end">{% trans 'size'|capfirst %}</dt>
                <dd class="col-sm-6">{{ tournament.max_teams }}</dd>

                <dt class="col-sm-6 text-sm-end">{% trans 'place'|capfirst %}</dt>
                <dd class="col-sm-6">{{ tournament.place }}</dd>

                {% if TFJM.PAYMENT_MANAGEMENT %}
                    <dt class="col-sm-6 text-sm-end">{% trans 'price'|capfirst %}</dt>
                    <dd class="col-sm-6">{% if tournament.price %}{{ tournament.price }} €{% else %}{% trans "Free" %}{% endif %}</dd>
                {% endif %}

                <dt class="col-sm-6 text-sm-end">{% trans 'remote'|capfirst %}</dt>
                <dd class="col-sm-6">{{ tournament.remote|yesno }}</dd>

                <dt class="col-sm-6 text-sm-end">{% trans 'dates'|capfirst %}</dt>
                <dd class="col-sm-6">{% trans "From" %} {{ tournament.date_start }} {% trans "to" %} {{ tournament.date_end }}</dd>

                <dt class="col-sm-6 text-sm-end">{% trans 'date of registration closing'|capfirst %}</dt>
                <dd class="col-sm-6">{{ tournament.inscription_limit }}</dd>

                <dt class="col-sm-6 text-sm-end">{% trans 'date of maximal solution submission'|capfirst %}</dt>
                <dd class="col-sm-6">{{ tournament.solution_limit }}</dd>

                <dt class="col-sm-6 text-sm-end">{% trans 'date of the random draw'|capfirst %}</dt>
                <dd class="col-sm-6">{{ tournament.solutions_draw }}</dd>

                <dt class="col-sm-6 text-sm-end">{% trans 'date of maximal written reviews submission for the first round'|capfirst %}</dt>
                <dd class="col-sm-6">{{ tournament.reviews_first_phase_limit }}</dd>

                <dt class="col-sm-6 text-sm-end">{% trans 'date of maximal written reviews submission for the second round'|capfirst %}</dt>
                <dd class="col-sm-6">{{ tournament.reviews_second_phase_limit }}</dd>

                {% if TFJM.APP == "ETEAM" %}
                    <dt class="col-sm-6 text-sm-end">{% trans 'date of maximal written reviews submission for the third round'|capfirst %}</dt>
                    <dd class="col-sm-6">{{ tournament.reviews_third_phase_limit }}</dd>
                {% endif %}

                <dt class="col-sm-6 text-sm-end">{% trans 'description'|capfirst %}</dt>
                <dd class="col-sm-6">{{ tournament.description }}</dd>

                {% if TFJM.ML_MANAGEMENT %}
                    <dt class="col-sm-6 text-sm-end">{% trans 'To contact organizers' %}</dt>
                    <dd class="col-sm-6"><a href="mailto:{{ tournament.organizers_email }}">{{ tournament.organizers_email }}</a></dd>

                    <dt class="col-sm-6 text-sm-end">{% trans 'To contact juries' %}</dt>
                    <dd class="col-sm-6"><a href="mailto:{{ tournament.jurys_email }}">{{ tournament.jurys_email }}</a></dd>

                    <dt class="col-sm-6 text-sm-end">{% trans 'To contact valid teams' %}</dt>
                    <dd class="col-sm-6"><a href="mailto:{{ tournament.teams_email }}">{{ tournament.teams_email }}</a></dd>
                {% endif %}
            </dl>
        </div>

        {% if user.registration.is_admin or user.registration in tournament.organizers.all %}
            <div class="card-footer text-center">
                <a class="btn btn-secondary" href="{% url "participation:tournament_update" pk=tournament.pk %}">
                    <i class="fas fa-edit"></i>
                    {% trans "Edit tournament" %}
                </a>
            </div>
        {% endif %}
    </div>

    <hr>

    <h3>{% trans "Teams" %}</h3>
    <div id="teams_table">
        {% render_table teams %}
    </div>

    {% if TFJM.PAYMENT_MANAGEMENT %}
        {% if user.registration.is_admin or user.registration in tournament.organizers.all %}
            <div class="text-center">
                <a href="{% url "participation:tournament_payments" pk=tournament.pk %}" class="btn btn-secondary">
                    <i class="fas fa-money-bill-wave"></i> {% trans "Access to payments list" %}
                </a>
            </div>
        {% endif %}
    {% endif %}

    {% if pools.data %}
        <hr>

        <h3>{% trans "Pools" %}</h3>
        <div id="pools_table">
            {% render_table pools %}
        </div>
    {% endif %}

    {% if notes %}
        <hr>

        <div class="card bg-body shadow">
            <div class="card-header text-center">
                <h5>{% trans "Ranking" %}</h5>
            </div>
            <div class="card-body">
                <ul>
                    {% for participation, note in notes %}
                        <li>
                            <strong>{{ participation.team }} :</strong> {{ note|floatformat }}
                            {% if available_notes_2 or user.registration.is_volunteer %}
                                {% if not tournament.final and participation.mention %}
                                    — {{ participation.mention }}
                                {% endif %}
                                {% if tournament.final and participation.mention_final %}
                                    — {{ participation.mention_final }}
                                {% endif %}
                             {% endif %}
                            {% if participation.final and not tournament.final %}
                                <span class="badge badge-sm text-bg-warning">
                                    <i class="fas fa-medal"></i>
                                    {% trans "Selected for final tournament" %}
                                </span>
                            {% endif %}
                            {% if user.registration.is_admin or user.registration in tournament.organizers.all %}
                                {% if team_selectable_for_final == participation %}
                                    <a href="{% url 'participation:select_team_final' pk=tournament.pk participation_id=participation.pk %}"
                                       class="badge badge-sm text-bg-success">
                                        <i class="fas fa-medal"></i>
                                        {% trans "Select for final tournament" %}
                                    </a>
                                {% endif %}
                            {% endif %}
                        </li>
                    {% endfor %}
                </ul>
            </div>
            {% if user.registration.is_admin or user.registration in tournament.organizers.all %}
                <div class="card-footer text-center">
                    <div class="btn-group">
                        <a href="{% url 'participation:tournament_harmonize' pk=tournament.pk round=1 %}" class="btn btn-secondary">
                            <i class="fas fa-ranking-star"></i>
                            {% trans "Harmonize" %} - {% trans "Day" %} 1
                        </a>
                        <a href="{% url 'participation:tournament_harmonize' pk=tournament.pk round=2 %}" class="btn btn-secondary">
                            <i class="fas fa-ranking-star"></i>
                            {% trans "Harmonize" %} - {% trans "Day" %} 2
                        </a>
                        {% if TFJM.NB_ROUNDS >= 3 %}
                            <a href="{% url 'participation:tournament_harmonize' pk=tournament.pk round=3 %}" class="btn btn-secondary">
                                <i class="fas fa-ranking-star"></i>
                                {% trans "Harmonize" %} - {% trans "Day" %} 3
                            </a>
                        {% endif %}
                    </div>
                </div>
                <div class="card-footer text-center">
                    <div class="btn-group">
                        {% if not available_notes_1 %}
                            <a href="{% url 'participation:tournament_publish_notes' pk=tournament.pk round=1 %}" class="btn btn-sm btn-info">
                                <i class="fas fa-eye"></i>
                                {% trans "Publish notes for first round" %}
                            </a>
                        {% else %}
                            <a href="{% url 'participation:tournament_publish_notes' pk=tournament.pk round=1 %}?hide" class="btn btn-sm btn-danger">
                                <i class="fas fa-eye-slash"></i>
                                {% trans "Unpublish notes for first round" %}
                            </a>
                        {% endif %}
                        {% if not available_notes_2 %}
                            <a href="{% url 'participation:tournament_publish_notes' pk=tournament.pk round=2 %}" class="btn btn-sm btn-info">
                                <i class="fas fa-eye"></i>
                                {% trans "Publish notes for second round" %}
                            </a>
                        {% else %}
                            <a href="{% url 'participation:tournament_publish_notes' pk=tournament.pk round=2 %}?hide" class="btn btn-sm btn-danger">
                                <i class="fas fa-eye-slash"></i>
                                {% trans "Unpublish notes for second round" %}
                            </a>
                        {% endif %}
                        {% if TFJM.NB_ROUNDS >= 3 %}
                            {% if not available_notes_3 %}
                                <a href="{% url 'participation:tournament_publish_notes' pk=tournament.pk round=3 %}" class="btn btn-sm btn-info">
                                    <i class="fas fa-eye"></i>
                                    {% trans "Publish notes for third round" %}
                                </a>
                            {% else %}
                                <a href="{% url 'participation:tournament_publish_notes' pk=tournament.pk round=3 %}?hide" class="btn btn-sm btn-danger">
                                    <i class="fas fa-eye-slash"></i>
                                    {% trans "Unpublish notes for third round" %}
                                </a>
                            {% endif %}
                        {% endif %}
                    </div>
                </div>
            {% endif %}
        </div>
    {% endif %}

    {% if user.registration.is_admin or user.registration in tournament.organizers.all %}
        <hr>

        <h3>{% trans "Files available for download" %}</h3>

        <div class="alert alert-warning fade show files-to-download-collapse" id="files-to-download-popup">
            <h4>{% trans "IMPORTANT" %}</h4>

            <p>
                {% blocktrans trimmed %}
                The files accessible below may contain personal information.
                In compliance with European law and out of respect for the confidentiality of participants data, 
                you may only use this data for purposes strictly necessary to the organization of the tournament.
                {% endblocktrans %}
            </p>

            <p>
                {% blocktrans trimmed %}
                Moreover, it is your responsibility to delete these files once you no longer need them, especially at the end of the tournament.
                {% endblocktrans %}
            </p>

            <p class="text-center">
                <button class="btn btn-warning" data-bs-toggle="collapse" href=".files-to-download-collapse"
                        role="button" aria-expanded="false" aria-controls="files-to-download files-to-download-popup">
                        {% trans "I agree not to divulge participants data and to delete them at the end of the tournament." %}
                </button>
            </p>
        </div>

        <div class="card bg-body shadow fade collapse files-to-download-collapse" id="files-to-download">
            <div class="card-body">
                <ul>
                    <li>
                        <a href="{% url "participation:tournament_csv" pk=tournament.pk %}">
                            {% trans "Validated team participant data spreadsheet" %}
                        </a>
                    </li>
                    <li>
                        <a href="{% url "participation:tournament_csv" pk=tournament.pk %}?all">
                            {% trans "All teams participant data spreadsheet" %}
                        </a>
                    </li>
                    <li>
                        <a href="{% url "participation:tournament_authorizations" tournament_id=tournament.id %}">
                            {% trans "Archive of all authorisations sorted by team and person" %}
                        </a>
                    </li>
                    <li>
                        <a href="{% url "participation:tournament_solutions" tournament_id=tournament.id %}">
                            {% trans "Archive of all submitted solutions sorted by team" %}
                        </a>
                    </li>
                    <li>
                        <a href="{% url "participation:tournament_solutions" tournament_id=tournament.id %}?sort_by=problem">
                            {% trans "Archive of all sent solutions sorted by problem" %}
                        </a>
                    </li>
                    <li>
                        <a href="{% url "participation:tournament_solutions" tournament_id=tournament.id %}?sort_by=pool">
                            {% trans "Archive of all sent solutions sorted by pool" %}
                        </a>
                    </li>
                    <li>
                        <a href="{% url "participation:tournament_written_reviews" tournament_id=tournament.id %}?sort_by=pool">
                            {% trans "Archive of all summary notes sorted by pool and passage" %}
                        </a>
                    </li>
                    <li>
                        <a href="https://docs.google.com/spreadsheets/d/{{ tournament.notes_sheet_id }}/edit">
                            <i class="fas fa-table"></i>
                            {% trans "Note spreadsheet on Google Sheets" %}
                        </a>
                    </li>
                    <li>
                        <a href="{% url "participation:tournament_notation_sheets" tournament_id=tournament.id %}">
                            {% trans "Archive of all printable note sheets sorted by pool" %}
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    {% endif %}

{% endblock %}
